Skip to main content
POST
Image Generation

Authorizations

Authorization
string
header
required

HTTP: Bearer Auth

Headers

Content-Type
enum<string>
default:application/json
required

The media type of the request body. Must be set to application/json to ensure the data is sent in JSON format.

Available options:
application/json

Body

application/json
model
enum<string>
required

Model name. Options: image-01.

Available options:
image-01
prompt
string
required

Text description of the image, max length 1500 characters.

aspect_ratio
enum<string>

Image aspect ratio, default 1:1. Options:

  • 1:1 (1024x1024)
  • 16:9 (1280x720)
  • 4:3 (1152x864)
  • 3:2 (1248x832)
  • 2:3 (832x1248)
  • 3:4 (864x1152)
  • 9:16 (720x1280)
  • 21:9 (1344x576)
Available options:
1:1,
16:9,
4:3,
3:2,
2:3,
3:4,
9:16,
21:9
width
integer

Image width (px). Only effective for image-01. Must be set together with height. Range [512, 2048], must be divisible by 8. If both width/height and aspect_ratio are provided, aspect_ratio takes priority.

height
integer

Image height (px). Only effective for image-01. Must be set together with width. Range [512, 2048], must be divisible by 8. If both width/height and aspect_ratio are provided, aspect_ratio takes priority.

response_format
enum<string>
default:url

Response format for images. Default: url. Options: url, base64. ⚠️ Note: url expires in 24 hours.

Available options:
url,
base64
seed
integer<int64>

Random seed. Using the same seed and parameters produces reproducible images. If not provided, a random seed is generated for each image.

n
integer
default:1

Number of images to generate per request. Range [1, 9]. Default: 1.

Required range: 1 <= x <= 9
prompt_optimizer
boolean
default:false

Enable automatic optimization of prompt. Default: false.

Response

200 - application/json
data
object
metadata
object

Additional metadata about the generation.

id
string

Trace ID for request tracking

base_resp
object